Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class LooselyBoundedCacheable

All Known Implementing Classes:
  AccessControlListResolver, AttributeValue, AttributeValueArray, AttributeValueBooleanArray, AttributeValueDateArray, AttributeValueDirectoryObjectArray, AttributeValueDoubleArray, AttributeValueIntegerArray, AttributeValueLongArray, AttributeValuePublicObjectArray, AttributeValueScalar, AttributeValueSchemaObjectArray, AttributeValueStringArray, AttributeValueSystemObjectArray, AuditCertificate, AuditFolderPath, LooselyBoundedCacheableAdapter, S_AttributeData, S_ClassObjectData, S_LibraryObjectData, TieAccessControlListResolver

    public interface class LooselyBoundedCacheable

A class that implements LooselyBoundedCacheable can be stored in a LooselyBoundedCache.

(Published)

Method Summary
`void` | `added(java.lang.Object id)` Called when an instance is added to the cache.
`boolean` | `canPurge()` Gets whether the item can be purged from the the BoundedCache.
`void` | `removed(java.lang.Object id)` Called when an instance is removed to the cache.

Method Detail

### canPurge

    boolean canPurge()
                     throws IfsException

  Description copied from interface: `LooselyBoundedCacheable`
  Gets whether the item can be purged from the the BoundedCache.

  The caller of this method indicates a desire to purge the object. The implementation should treat this as a purge request, but can return false if the item should not be purged.

  Returns:
    whether the item can be purged.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### added

    void added(java.lang.Object id)

  Description copied from interface: `LooselyBoundedCacheable`
  Called when an instance is added to the cache.

  Parameters:
    `id` - the id used for this entry in the cache
  Throws:
    `IfsException` - if operation fails.
  (Published)

### removed

    void removed(java.lang.Object id)

  Description copied from interface: `LooselyBoundedCacheable`
  Called when an instance is removed to the cache.

  Parameters:
    `id` - the id used for this entry in the cache
  Throws:
    `IfsException` - if operation fails.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD